﻿namespace Dynamicweb.Ecommerce.LiveIntegration.XmlGenerators
{
    /// <summary>
    /// A settings class to drive the generation of order XML.
    /// </summary>
    /// <seealso cref="XmlGeneratorSettings" />
    public class OrderXmlGeneratorSettings : XmlGeneratorSettings
    {
        /// <summary>
        /// Gets or sets a value indicating whether order line fields should be added to the request.
        /// </summary>
        /// <value><c>true</c> if order line fields should be added to the request; otherwise, <c>false</c>.</value>
        public bool AddOrderLineFieldsToRequest { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether order fields should be added to the request.
        /// </summary>
        /// <value><c>true</c> if order fields should be added to the request; otherwise, <c>false</c>.</value>
        public bool AddOrderFieldsToRequest { get; set; }

        /// <summary>
        /// Gets or sets a value indicating whether the current request is for a cart (false) or an actual order (true).
        /// </summary>
        /// <value><c>true</c> if the order should be created in the ERP, otherwise, <c>false</c>.</value>
        public bool CreateOrder { get; set; }
    }
}